> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lance une opération de réindexation du catalogue

> Si l’indexation a été lancée auparavant et qu’aucune opération de réindexation n’a été effectuée, la recherche d’extraction sera basée sur les données indexées auparavant.
Si l’indexation n’a jamais été lancée, la recherche d’extraction ne sera pas effectuée.



## OpenAPI

````yaml /fr/openapi.json post /api/publicapi/v1/catalogs/{catalogId}/reindex
openapi: 3.0.4
info:
  description: 'Environnement : Production<br>Version du produit : 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Production – États-Unis
    url: https://vantage-us.abbyy.com
  - description: Production – Europe
    url: https://vantage-eu.abbyy.com
  - description: Production – Australie
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/reindex:
    post:
      tags:
        - Catalogs
      summary: Lance une opération de réindexation du catalogue
      description: >-
        Si l’indexation a été lancée auparavant et qu’aucune opération de
        réindexation n’a été effectuée, la recherche d’extraction sera basée sur
        les données indexées auparavant.

        Si l’indexation n’a jamais été lancée, la recherche d’extraction ne sera
        pas effectuée.
      operationId: StartCatalogReindex
      parameters:
        - description: >-
            Identifiant de catalogue. Vous pouvez le trouver dans la liste de
            tous les catalogues.
          in: path
          name: catalogId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Non trouvé
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult:
      additionalProperties: false
      properties:
        completed:
          description: Heure de fin de l’opération
          nullable: true
          type: string
        created:
          description: Heure de création de l’opération
          format: date-time
          type: string
        currentState:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState
        id:
          description: Identifiant unique de l’opération
          format: uuid
          type: string
        indexModelId:
          description: Identifiant du modèle d’index utilisé pour analyser les documents
          nullable: true
          type: string
        workflowProcessingId:
          description: Identifiant du workflow d’opération
          nullable: true
          type: string
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState:
      enum:
        - InProgress
        - Failed
        - Completed
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````